RFP: python3 packages cmarkgfm and commonmark

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

RFP: python3 packages cmarkgfm and commonmark

Jari Aalto-5
I wa checking the latest rsync and in order to build it, would someone
package these for cygwin:

    Configure found the following issues:

    - You need python3 and either the cmarkgfm OR commonmark python3 lib in order
      to build man pages based on the git source (man pages are included in the
        official release tar files).

Thanks,
Jari
Reply | Threaded
Open this post in threaded view
|

Re: RFP: python3 packages cmarkgfm and commonmark

Jari Aalto-5
On 2020-09-05 18:30, Jari Aalto wrote:
> I wa checking the latest rsync and in order to build it, would someone
> package these for cygwin:
>
>     Configure found the following issues:
>
>     - You need python3 and either the cmarkgfm OR commonmark python3 lib in order
>       to build man pages based on the git source (man pages are included in the
> official release tar files).

I installed python37-conmark but that didn't seem to satisfy configure...

Jari
Reply | Threaded
Open this post in threaded view
|

Re: RFP: python3 packages cmarkgfm and commonmark

cygwin-apps mailing list
On 9/5/2020 11:34 AM, Jari Aalto wrote:

> On 2020-09-05 18:30, Jari Aalto wrote:
>> I wa checking the latest rsync and in order to build it, would someone
>> package these for cygwin:
>>
>>      Configure found the following issues:
>>
>>      - You need python3 and either the cmarkgfm OR commonmark python3 lib in order
>>        to build man pages based on the git source (man pages are included in the
>> official release tar files).
>
> I installed python37-conmark but that didn't seem to satisfy configure...

Does /usr/bin/python3 resolve to python3.7.exe on your system?  Most likely it
resolves to python3.6m.exe, in which case it's python36-commonmark that you want.

Ken
Reply | Threaded
Open this post in threaded view
|

Re: RFP: python3 packages cmarkgfm and commonmark

cygwin-apps mailing list
In reply to this post by Jari Aalto-5
On 05.09.2020 17:30, Jari Aalto wrote:

> I wa checking the latest rsync and in order to build it, would someone
> package these for cygwin:
>
>      Configure found the following issues:
>
>      - You need python3 and either the cmarkgfm OR commonmark python3 lib in order
>        to build man pages based on the git source (man pages are included in the
> official release tar files).
>
> Thanks,
> Jari
>

Noted. I will work on it

Regards
Marco

Reply | Threaded
Open this post in threaded view
|

Re: RFP: python3 packages cmarkgfm and commonmark

Jari Aalto-5
In reply to this post by cygwin-apps mailing list
On 2020-09-05 11:42, Ken Brown via Cygwin-apps wrote:

> On 9/5/2020 11:34 AM, Jari Aalto wrote:
> > On 2020-09-05 18:30, Jari Aalto wrote:
> > > I wa checking the latest rsync and in order to build it, would someone
> > > package these for cygwin:
> > >
> > >      Configure found the following issues:
> > >
> > >      - You need python3 and either the cmarkgfm OR commonmark python3 lib in order
> > >        to build man pages based on the git source (man pages are included in the
> > > official release tar files).
> >
> > I installed python37-conmark but that didn't seem to satisfy configure...
>
> Does /usr/bin/python3 resolve to python3.7.exe on your system?  Most likely
> it resolves to python3.6m.exe, in which case it's python36-commonmark that
> you want.

Oh yes, python3.6m here

Thanks,
Jari